### File

`packages/ecl/components/ecl-select/ecl-select.directive.ts`

### Description

The default HTML

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `DoCheck` `AfterContentInit`

### Metadata

Selector | `select[eclSelect]`

### Index

###### Methods
getCssClasses
###### Inputs
disabled eclSize isInvalid toggleLabel class e2eAttr tabindex
###### HostBindings
attr.disabled class class.ecl-select--invalid
###### Accessors
cssClasses isDisabled isInvalidState

### Constructor

`constructor(ngControl: NgControl, el: ElementRef, viewContainerRef: ViewContainerRef, renderer: Renderer2)`
Parameters :
Name | Type | Optional
ngControl | `NgControl` | No
el | `ElementRef` | No
viewContainerRef | `ViewContainerRef` | No
renderer | `Renderer2` | No

### Inputs

disabled
Type : `boolean`
Default value : `false`

eclSize
Type : `"s" | "m" | "l"`
Default value : `'m'`
Size/length of the field and the dropdown, can be 's', 'm' or 'l'. Default is 'm'.

isInvalid
Type : `boolean`
Default value : `false`

toggleLabel
Type : `string | undefined`
Default value : `undefined`
Custom label for the arrow-down button.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.disabled
Type : `boolean`

class
Type : `string`
Applies the 'ecl-select' class to the main

class.ecl-select--invalid
Type : `boolean`
Adds 'ecl-select--invalid' class to the host element, in case the component has invalid status.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies the 'ecl-select' class to the main Returns : `string`

isDisabled
get `isDisabled()`

isInvalidState
get `isInvalidState()`
Adds 'ecl-select--invalid' class to the host element, in case the component has invalid status. Returns : `boolean`

# results matching ""

# No results matching ""